// Example program
#include <iostream>
#include <string>
#include <math.h> 
using namespace std;



long long int brcif(long long int n)
{
   long long  int k=0;
    while(n>0)
    {
        k++;
        n/=10;
        }
        return k;
    
    }




int main()
{
    long long int a,b,c;
    cin>>a>>b>>c;
    long long int k[10];
k[0]=(a*pow(10,brcif(b))+b)*pow(10,brcif(c))+c;
k[1]=(a*pow(10,brcif(c))+c)*pow(10,brcif(b))+b;
k[2]=(b*pow(10,brcif(a))+a)*pow(10,brcif(c))+c;
k[3]=(b*pow(10,brcif(c))+c)*pow(10,brcif(a))+a;
k[4]=(c*pow(10,brcif(b))+b)*pow(10,brcif(a))+a;
k[5]=(c*pow(10,brcif(a))+a)*pow(10,brcif(b))+b;
long long int min=0;
for(int i=0;i<6;i++)
{
    if(k[i]>min)
    min=k[i];
    }







cout<<min;
  
    
  
}